Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRJikesCompiler

    java.lang.Object
      net.sf.jasperreports.engine.design.JRAbstractCompiler
          net.sf.jasperreports.engine.design.JRAbstractJavaCompiler
              net.sf.jasperreports.engine.design.JRAbstractClassCompiler
                  net.sf.jasperreports.engine.design.JRAbstractMultiClassCompiler
                      net.sf.jasperreports.engine.design.JRJikesCompiler

All Implemented Interfaces:
  JRClassCompiler, JRCompiler, JRMultiClassCompiler

    public class JRJikesCompiler

extends JRAbstractMultiClassCompiler

Version:
  $Id: JRJikesCompiler.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.design.JRAbstractJavaCompiler
`PROPERTY_EVALUATOR_CLASS_REFERENCE_FIX_ENABLED`

Fields inherited from interface net.sf.jasperreports.engine.design.JRCompiler
`COMPILER_PREFIX`

Constructor Summary
`JRJikesCompiler()`

Method Summary
`java.lang.String` | `compileClasses(java.io.File[] sourceFiles, java.lang.String classpath)` Compile a set of source files.

Methods inherited from class net.sf.jasperreports.engine.design.JRAbstractMultiClassCompiler
`compileClass`

Methods inherited from class net.sf.jasperreports.engine.design.JRAbstractClassCompiler
`checkLanguage, compileUnits, generateSourceCode, getSourceFileName`

Methods inherited from class net.sf.jasperreports.engine.design.JRAbstractJavaCompiler
`classCacheKey, getClassFromCache, loadEvaluator, putClassInCache`

Methods inherited from class net.sf.jasperreports.engine.design.JRAbstractCompiler
`compileReport, getCompilerClass, getUnitName, getUnitName, getUnitName, getUnitName, getUnitName, loadEvaluator, loadEvaluator, loadEvaluator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRJikesCompiler

    public JRJikesCompiler()

Method Detail

### compileClasses

    public java.lang.String compileClasses(java.io.File[] sourceFiles,
                                           java.lang.String classpath)
                                    throws JRException

  Description copied from interface: `JRMultiClassCompiler`
  Compile a set of source files.

  Parameters:
    `sourceFiles` - the source files
    `classpath` - the classpath to be used when compiling
  Returns:
    a `String` containing compile errors
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com